# azure.cognitiveservices.search.websearch package

## Submodules

- azure.cognitiveservices.search.websearch.models module
- azure.cognitiveservices.search.websearch.operations module

## Module contents

class `azure.cognitiveservices.search.websearch.``WebSearchClient`(endpoint, credentials)

  Bases: `msrest.service_client.SDKClient`

  The Web Search API lets you send a search query to Bing and get back search results that include links to webpages, images, and more.

  Variables:

  - config (WebSearchClientConfiguration) – Configuration for client.
  - web (azure.cognitiveservices.search.websearch.operations.WebOperations) – Web operations

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.

class `azure.cognitiveservices.search.websearch.``WebSearchClientConfiguration`(endpoint, credentials)

  Bases: `msrest.configuration.Configuration`

  Configuration for WebSearchClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.